Returns the color of the specified pixel

- « Imagick::getImagePage

- Imagick::getImageProfile »

- PHP Manual
- Imagick
- Returns the color of the specified pixel

# Imagick::getImagePixelColor

(PECL imagick 2, PECL imagick 3)

Imagick::getImagePixelColor — Returns the color of the specified pixel

### Description

public Imagick::getImagePixelColor(int `$x`, int `$y`): ImagickPixel

Returns the color of the specified pixel.

### Parameters

`x`

  The x-coordinate of the pixel

`y`

  The y-coordinate of the pixel

### Return Values

Returns an ImagickPixel instance for the color at the coordinates given.

### Errors/Exceptions

Throws ImagickException on error.